Respond to a Server Prompt

View as MarkdownOpen in Claude

Respond to a server prompt received via ntf webscoket message.

POST /iserver/notification

Request Object

Body Params

orderId int. Required
IB-assigned order identifier obtained from the ntf websocket message that delivered the server prompt.

reqId string. Required
IB-assigned request identifier obtained from the ntf websocket message that delivered the server prompt.

text string. Required
The selected value from the “options” array delivered in the server prompt ntf websocket message.

1request_url = f"{baseUrl}/iserver/notification"
2json_content = {
3 "orderId": 987654321,
4 "reqId": "12345",
5 "text": "Yes"
6}
7requests.post(url=request_url, json=json_content)

Response Object

{Status text}: string
Returns the status of the confirmation message.

Success